Bug 455129 - libxul-embedding.pc and libxul-embedding-unstable.pc do not require nspr
libxul-embedding.pc and libxul-embedding-unstable.pc do not require nspr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-12 09:35 EDT by Lucian Langa
Modified: 2009-07-14 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-07-12 09:35:21 EDT
Description of problem:
libxul-embedding.pc and libxul-embedding-unstable.pc should specify nspr include
directories, because xulrunner headers depend on nspr.


Version-Release number of selected component (if applicable):


How reproducible:
compile any application that embeds xulrunner as frozen linkage. (starting with
xulrunner 1.9 this is enforced instead of internal linkage and all aplication
should try to use standalone glue (libxul-embedding))

g++ -DHAVE_CONFIG_H -I. -I.. -I -I.. -DXPCOM_GLUE -fshort-wchar
-I/usr/include/xulrunner-sdk-1.9/stable -DXPCOM_GLUE -fshort-wchar
-I/usr/include/xulrunner-sdk-1.9/unstable -I/usr/include/webkit-1.0
-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-DGETTEXT_PACKAGE=\"evolution-rss\" -DLOCALEDIR=\"/usr/share/locale\"
-DEVOLUTION_VERSION_STRING=\"2.22\" -DEVOLUTION_VERSION=22200
-DEVOLUTION_GLADEDIR=\"/usr/share/evolution/2.22/glade\"
-DEVOLUTION_ICONDIR=\"/usr/share/evolution/2.22/images\" -DGTK_VERSION=2012011
-DLIBSOUP_VERSION=2004001 -DRENDER=\"gtkhtml\" -DRENDER_N=0 -DHAVE_DBUS=1
-DDBUS_API_SUBJECT_TO_CHANGE -DORBIT2=1 -pthread -I/usr/include/libgnome-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0
-I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0
-I/usr/include/libgnomeui-2.0 -I/usr/include/libbonoboui-2.0
-I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0
-I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include
-I/usr/include/libart-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gconf/2
-I/usr/include/libsoup-2.4 -I/usr/include/evolution-2.22
-I/usr/include/evolution-data-server-2.22 -I/usr/include/libxml2
-I/usr/include/libglade-2.0 -DGECKO_HOME=\"/usr/lib/xulrunner-sdk-1.9/bin\" -g
-O2 -MT gecko-utils.lo -MD -MP -MF .deps/gecko-utils.Tpo -c gecko-utils.cpp 
-fPIC -DPIC -o .libs/gecko-utils.o
In file included from /usr/include/xulrunner-sdk-1.9/stable/nsXPCOMStrings.h:42,
                 from /usr/include/xulrunner-sdk-1.9/stable/nsStringAPI.h:53,
                 from gecko-utils.cpp:28:
/usr/include/xulrunner-sdk-1.9/stable/nscore.h:51:21: error: prtypes.h: No such
file or directory
In file included from gecko-utils.cpp:28:
/usr/include/xulrunner-sdk-1.9/stable/nsStringAPI.h:55:19: error: prlog.h: No
such file or directory


Steps to Reproduce:
1.
2.
3.
  
Actual results:
compilation fails requiring nspr include files.

Expected results:
libxul-embedding and
libxul-embedding-unstable should pick nspr as a requirement.


Additional info:
Comment 1 Martin Stransky 2008-07-14 02:23:22 EDT
Embedding should not require nspr (see discussion at
https://bugzilla.mozilla.org/show_bug.cgi?id=442009)

But we can manage that embedding includes nspr.
Comment 2 Bug Zapper 2009-06-09 22:03:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 14:22:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.